package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class LearningSituationAbstractDto implements Serializable {
    public static final long serialVersionUID = 1L;

    private String vipId;
    private String studentName;
    private String studentImg;
    private List<String> labels;
    private List<String> overallSituation;
    private List<String> subjects;

    public LearningSituationAbstractDto (){
        labels = new ArrayList<>();
        overallSituation = new ArrayList<>();
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentImg() {
        return studentImg;
    }

    public void setStudentImg(String studentImg) {
        this.studentImg = studentImg;
    }

    public List<String> getLabels() {
        return labels;
    }

    public void setLabels(List<String> labels) {
        this.labels = labels;
    }

    public void addLabel (String label){
        this.labels.add(label);
    }

    public List<String> getOverallSituation() {
        return overallSituation;
    }

    public void setOverallSituation(List<String> overallSituation) {
        this.overallSituation = overallSituation;
    }

    public void addSituation (String situation){
        this.overallSituation.add(situation);
    }

    public List<String> getSubjects() {
        return subjects;
    }

    public void setSubjects(List<String> subjects) {
        this.subjects = subjects;
    }
}
